# How to contribute

I'm really glad you're reading this, because we need your help.

## Submitting changes

Please send a [GitHub Pull Request to main](https://github.com/warting/firebase-compose/tree/main) with a clear list of what you've done (read more about [pull requests](https://docs.github.com/en/github/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests)). When you send a pull request, we will love you forever Please follow our coding conventions (below) and make sure all of your commits are atomic (one feature per commit).

Always write a clear log message for your commits. One-line messages are fine for small changes, but bigger changes should look like this:

    $ git commit -m "A brief summary of the commit
    > 
    > A paragraph describing what changed and its impact."

## Coding conventions

Start reading our code and you'll get the hang of it. We optimize for readability:

  * We standard formatting
  * We use detekt and lint to find bugs
  * We virify the API during changes
  * This is open source software. Consider the people who will read your code.

Thanks,
@warting
